	.file	"Test.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
/* Main Startup Code */
	.even
	.set __min_num_ROM_CALLs__,0x3CC
	move.l 0xC8,%a0
	/* Calculator Detection */
	moveq #1,%d0
	move.l %a0,%d1
	and.l #0x400000,%d1
	jbne __calc_in_d0__
	clr.w %d0
	move.l (%a0,0x2F*4),%a1 /* ScrRect */
	cmp.b #200,2(%a1)
	jbcs __calc_in_d0__
	moveq #3,%d0
__calc_in_d0__:
	lea __calculator(%pc),%a1
	move.w %d0,(%a1)
__calc_is_OK__:
	/* Minimum AMS Version Check */
	cmp.l #__min_num_ROM_CALLs__,(%a0,-4) /* TIOS_entries */
	jbcc __ams_version_is_OK__
__ams_version_not_OK__:
	pea.l __ams_too_low__
__display_message_and_exit__:
	move.l (%a0,0xE6*4),%a0 /* ST_helpMsg */
	jsr (%a0)
	addq.l #4,%sp
	rts
__ams_version_is_OK__:
	/* Support for exit and atexit */
	movem.l %d3-%d7/%a2-%a6,-(%sp)
	jbsr _main
	movem.l (%sp)+,%d3-%d7/%a2-%a6
	rts
	.xdef __save__sp__
	.even
__save__sp__:
	.long 0
	.xdef __calculator
	.even
__calculator:
	.word -1
	.even
__ams_too_low__:
	.ascii "AMS "
	.ascii "1.01"
	.asciz " or higher needed"
	.even
#NO_APP
#APP
	.xdef _ti89
	.xdef _ti92plus
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _need_calculator_var_ */
	/* Include Patch: _MIN_AMS_required_ */
	/* Include Patch: _MIN_AMS_1_01_ */
	/* Include Patch: dont_set_file_inuse_bit */
	/* Include Patch: nostub_patch */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
	.globl	cle_sol
	.data
cle_sol:
	.byte	83
	.byte	30
	.byte	83
	.byte	30
	.byte	82
	.byte	30
	.byte	76
	.byte	30
	.byte	76
	.byte	30
	.byte	82
	.byte	30
	.byte	83
	.byte	30
	.byte	85
	.byte	30
	.byte	87
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	30
	.byte	83
	.byte	45
	.byte	85
	.byte	15
	.byte	85
	.byte	60
	.byte	83
	.byte	30
	.byte	83
	.byte	30
	.byte	82
	.byte	30
	.byte	76
	.byte	30
	.byte	76
	.byte	30
	.byte	82
	.byte	30
	.byte	83
	.byte	30
	.byte	85
	.byte	30
	.byte	87
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	30
	.byte	85
	.byte	45
	.byte	87
	.byte	15
	.byte	87
	.byte	60
	.byte	85
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	15
	.byte	81
	.byte	15
	.byte	83
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	15
	.byte	81
	.byte	15
	.byte	83
	.byte	30
	.byte	85
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	92
	.byte	30
	.byte	83
	.byte	60
	.byte	83
	.byte	30
	.byte	82
	.byte	30
	.byte	76
	.byte	30
	.byte	76
	.byte	30
	.byte	82
	.byte	30
	.byte	83
	.byte	30
	.byte	85
	.byte	30
	.byte	87
	.byte	30
	.byte	87
	.byte	30
	.byte	85
	.byte	30
	.byte	83
	.byte	30
	.byte	85
	.byte	45
	.byte	87
	.byte	15
	.byte	87
	.byte	60
	.byte	-1
	.globl	cle_fa
cle_fa:
	.byte	103
	.byte	60
	.byte	101
	.byte	60
	.byte	108
	.byte	60
	.byte	103
	.byte	60
	.byte	106
	.byte	60
	.byte	104
	.byte	60
	.byte	103
	.byte	60
	.byte	108
	.byte	60
	.byte	103
	.byte	60
	.byte	101
	.byte	60
	.byte	104
	.byte	60
	.byte	103
	.byte	60
	.byte	106
	.byte	60
	.byte	104
	.byte	60
	.byte	108
	.byte	60
	.byte	103
	.byte	60
	.byte	108
	.byte	30
	.byte	0
	.byte	30
	.byte	103
	.byte	30
	.byte	0
	.byte	30
	.byte	108
	.byte	30
	.byte	0
	.byte	30
	.byte	103
	.byte	30
	.byte	0
	.byte	30
	.byte	108
	.byte	30
	.byte	0
	.byte	30
	.byte	103
	.byte	30
	.byte	0
	.byte	30
	.byte	106
	.byte	60
	.byte	104
	.byte	30
	.byte	108
	.byte	30
	.byte	103
	.byte	60
	.byte	101
	.byte	60
	.byte	104
	.byte	60
	.byte	103
	.byte	60
	.byte	106
	.byte	60
	.byte	104
	.byte	60
	.byte	108
	.byte	60
	.byte	103
	.byte	60
	.byte	-1
	.data
	.even
	.globl	_main
_main:
#APP
	move.l %sp,__save__sp__
#NO_APP
	link.w %a6,#0
	move.l %a3,-(%sp)
	move.l %a2,-(%sp)
	move.w #200,%a3
	move.l (%a3),%a0
	move.w #1792,-(%sp)
	move.l 2672(%a0),%a0
	jbsr (%a0)
	move.w #7000,%d2
	lea cle_fa,%a2
	lea cle_sol,%a1
	jbsr Play2Channel
	move.l (%a3),%a0
	clr.w -(%sp)
	move.l 2672(%a0),%a0
	jbsr (%a0)
	move.l -8(%a6),%a2
	move.l -4(%a6),%a3
	unlk %a6
	rts
.comm _nostub,2
